# Zephyr Standalone Docker Installation (zs-docker-compose)

Follow the steps below to install Zephyr Standalone via Docker

## Initial Preparation

##Prerequisite

1. Make sure that elasticsearch (9300,9200), mysql(3306), Zephyr (80) is available.


### On Windows

1. Install docker for windows 
   https://docs.docker.com/docker-for-windows/install/

2. Enable hyperV for Windows and start docker application.

3. Go to Docker Setting >> Advanced, and increase CPUs (at least 4 CPUs) and RAM (at least 6 GB).

4. Once docker is restarted open powershell and verify installation using `docker -v`

5. Download the zip file to a local directory and navigate to the same directory in powershell.

6. Continue below on 'Building Docker compose for both Windows and Linux'


******************

### On Mac

1. Install docker and docker compose
   https://docs.docker.com/docker-for-mac/install/

2. Go to Docker Preferences >> Advanced, and increase CPUs (at least 4 CPUs) and RAM (at least 6 GB).

3. Download the zip file to a local directory and navigate to the same directory

4. Continue below on 'Building Docker compose for both Windows and Linux'

******************

### On Linux

1. Install docker and docker compose
   https://docs.docker.com/install/linux/docker-ce/ubuntu/

2. Go to Docker Preferences >> Advanced, and increase CPUs (at least 4 CPUs) and RAM (at least 6 GB).

3. Download the Zip files to a local directory and navigate to the same directory

4. Run the command below to set parameter for elasticsearch to work (https://www.elastic.co/guide/en/elasticsearch/reference/master/_maximum_map_count_check.html)
   #sysctl -w vm.max_map_count=262144

5. Continue below on 'Building Docker compose for both Windows and Linux'

******************

## Docker Compose up (for all OSs)


      
1. Execute "docker-compose up -d"  from zs-docker-compose directory where docker-compose.yaml is present and wait it to complete. After that use "docker logs zephyr -f" to see the logs.


2. Load the ZS application once it says Zephyr started
 
 Note: Docker will work only with certain versions of windows like 10 pro.

******************
 
 # To replace license file
 This installation comes with a 1 seat license. To extend your trial for more users, please obtain a license file from your SmartBear representative and use the command below to replace it:
 
   #docker cp license.lic zephyr:/usr/local/zephyr/license/

******************
# To backup data

  #docker exec -it mysql mysql -p<mysql root password> -uroot itcc > itcc.sql
   
  #docker cp zephyr:/usr/local/zephyr/zephyrdata . 

Note: Same can be recovered from docker volume before deleteing it. Default mysql root password is 'root'.

******************
 
# To completely uninstall / delete:
(Data will be lost!)

   #docker rm -f mysql zephyr elasticsearch

   #docker volume prune -f
   
   #docker rmi -f zephyrzs:latest zee-base:latest
